For the complete documentation index, see llms.txt. This page is also available as Markdown.

Collection

List all collections the authenticated user has permission to.

get
Authorizations
AuthorizationstringRequired
Query parameters
pageintegerOptional

The page to retrieve. Default: 1.

Default: 1
per_pageinteger · max: 50Optional

The number of results per page. Default: 20, Max: 50.

Default: 20
Responses
200

The collections the authenticated user has permission to.

application/json
get/collections

Create a new collection with the specified name

post
Authorizations
AuthorizationstringRequired
Query parameters
namestringRequired

The name of the collection.

user_idintegerOptional

ID of the user to create the collection on behalf of. If not provided, the collection will be created in the requestor's library

Responses
201

The collection object that was created.

application/json
post/collections

Get data of a collection

get
Authorizations
AuthorizationstringRequired
Path parameters
collection_idinteger · int64Required

The ID of the collection.

Responses
200

The collection object.

application/json
get/collections/{collection_id}

Deletes the specified collection and all related media and perspectives.

delete
Authorizations
AuthorizationstringRequired
Path parameters
collection_idinteger · int64Required

The ID of the collection.

Responses
200

The collection object.

application/json
delete/collections/{collection_id}

Archives the specified collection and all related media and perspectives.

post
Authorizations
AuthorizationstringRequired
Path parameters
collection_idinteger · int64Required

The ID of the collection.

Responses
200

The collection was archived.

application/json
post/collections/{collection_id}/archive

List media in a specific collection

get
Authorizations
AuthorizationstringRequired
Path parameters
collection_idinteger · int64Required

The ID of the collection

Query parameters
pageintegerOptional

The page to retrieve. Default: 1.

Default: 1
per_pageinteger · max: 50Optional

The number of results per page. Default: 20, Max: 50.

Default: 20
Responses
200

The list of media in a specific collection.

application/json
get/collections/{collection_id}/media

Get users and groups who have access to the collection

get
Authorizations
AuthorizationstringRequired
Path parameters
collection_idinteger · int64Required

The ID of the collection.

Responses
200

List of users and groups extended with permission type.

application/json
get/collections/{collection_id}/permissions

Add permissions to the collection

post
Authorizations
AuthorizationstringRequired
Path parameters
collection_idinteger · int64Required

The ID of the collection.

Body
Responses
200

Permissions were added, the updated list of permissions is returned.

application/json
post/collections/{collection_id}/permissions

Unarchives the specified collection and all related media and perspectives.

post
Authorizations
AuthorizationstringRequired
Path parameters
collection_idinteger · int64Required

The ID of the collection.

Responses
200

The collection was unarchived.

application/json
post/collections/{collection_id}/unarchive

Last updated

Was this helpful?